#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 websockets
version:              0.12.7.2
visibility:           public
id:                   websockets-0.12.7.2-DueLEIp7YXkEp5BLjOVE1T
key:                  websockets-0.12.7.2-DueLEIp7YXkEp5BLjOVE1T
license:              BSD-3-Clause
copyright:
    (c) 2010-2011 Siniša Biđin
    (c) 2011-2018 Jasper Van der Jeugt
    (c) 2011 Steffen Schuldenzucker
    (c) 2011 Alex Lang

maintainer:           Jasper Van der Jeugt <m@jaspervdj.be>
author:
    Siniša Biđin <sinisa@bidin.cc>
    Jasper Van der Jeugt <m@jaspervdj.be>
    Steffen Schuldenzucker <steffen.schuldenzucker@googlemail.com>
    Alex Lang <lang@tsurucapital.com>

stability:            experimental
homepage:             http://jaspervdj.be/websockets
synopsis:
    A sensible and clean way to write WebSocket-capable servers in Haskell.

description:
    This library allows you to write WebSocket-capable servers.

    An example server:
    <https://github.com/jaspervdj/websockets/blob/master/example/server.lhs>

    An example client:
    <https://github.com/jaspervdj/websockets/blob/master/example/client.hs>

    See also:

    * The specification of the WebSocket protocol:
    <http://www.whatwg.org/specs/web-socket-protocol/>

    * The JavaScript API for dealing with WebSockets:
    <http://www.w3.org/TR/websockets/>

category:             Network
abi:                  f4b8ac3b570761e3c5b05f53b19bd6d7
exposed:              True
exposed-modules:
    Network.WebSockets Network.WebSockets.Client
    Network.WebSockets.Connection Network.WebSockets.Extensions
    Network.WebSockets.Stream

hidden-modules:
    Network.WebSockets.Connection.Options
    Network.WebSockets.Extensions.Description
    Network.WebSockets.Extensions.PermessageDeflate
    Network.WebSockets.Extensions.StrictUnicode Network.WebSockets.Http
    Network.WebSockets.Hybi13 Network.WebSockets.Hybi13.Demultiplex
    Network.WebSockets.Hybi13.Mask Network.WebSockets.Protocol
    Network.WebSockets.Server Network.WebSockets.Types

import-dirs:          /usr/lib/ghc-8.10.4/site-local/websockets-0.12.7.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/websockets-0.12.7.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/websockets-0.12.7.2
hs-libraries:         HSwebsockets-0.12.7.2-DueLEIp7YXkEp5BLjOVE1T
depends:
    SHA-1.6.4.4-5FIK7Bs8eLkISed49HyXzA
    async-2.2.3-2cYLtGWZjMO21a0j0Ua6Nz
    attoparsec-0.14.1-Ad1lB8eDIkI3K4SM5DmXwP base-4.14.1.0
    base64-bytestring-1.2.0.1-F61lor3jzVZ3hOhxyuaaSX binary-0.8.8.0
    bytestring-0.10.12.0
    case-insensitive-1.2.1.0-DbGxz2JWIHa9dKN5hzOmMa
    clock-0.8.2-83u8YuQY0EYBCsGB70pRiM containers-0.6.2.1
    entropy-0.4.1.6-6Z0sejCw1fy7sJ1AU1oQ6y
    network-3.1.2.1-FhOaehNchti9X3Dj4Rfk7n
    random-1.2.0-DOZvHpUFoYu5TC9oavXEso
    streaming-commons-0.2.2.1-GAEQTf9HYszDVexETtJYr text-1.2.4.1

haddock-interfaces:   /usr/share/doc/haskell-websockets/html/websockets.haddock
haddock-html:         /usr/share/doc/haskell-websockets/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

